/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef EASYSOK_COMPARE_SOLUTION_DIALOG_INC_GUARD_H
#define EASYSOK_COMPARE_SOLUTION_DIALOG_INC_GUARD_H


#include <kdialogbase.h>




/**
 * Displays the comparison of the solution.
 *
 * @author Ralf Schmelter (ralf.schmelter@t-online.de).
 * @version 0.2
 */

class CompareSolutionDialog : public KDialogBase
{
    Q_OBJECT

public:

    /**
     * Creates the dialog.
     *
     * @param my_pushmin_pushes Your pushmin pushes.
     * @param my_pushmin_moves Your pushmin moves.
     * @param my_linearmin_pushes Your linearmin pushes.
     * @param my_linearmin_moves Your linearmin moves.
     * @param my_gemchanges_pushes Your gemchanges pushes.
     * @param my_gemchanges_moves Your gemchanges moves.
     * @param my_movemin_pushes Your movemin pushes.
     * @param my_movemin_moves Your movemin moves.
     * @param best_pushmin_pushes The best pushmin pushes.
     * @param best_pushmin_moves The best pushmin moves.
     * @param best_linearmin_pushes The best linearmin pushes.
     * @param best_linearmin_moves The best linearmin moves.
     * @param best_gemchanges_pushes The best gemchanges pushes.
     * @param best_gemchanges_moves The best gemchanges moves.
     * @param best_movemin_pushes The best movemin pushes.
     * @param best_movemin_moves The best movemin moves.
     * @param nr_solutions The number of solutions.
     * @param better_pushes The number of pushmin solutions better than yours.
     * @param equal_pushes The number of pushmin solutions equal to yours.
     * @param better_linear_pushes The number of linearmin solutions better than yours.
     * @param equal_linear_pushes The number of linearmin solutions equal to yours.
     * @param better_gem_changes The number of gemchanges solutions better than yours.
     * @param equal_gem_changes The number of gemchanges solutions equal to yours.
     * @param better_moves The number of movemin solutions better than yours.
     * @param equal_moves The number of movemin solutions equal to yours.
     * @param parent The parent widget.
     * @param name The internal name of the widget.
     */

    CompareSolutionDialog(int my_pushmin_pushes, int my_pushmin_moves, int my_linearmin_pushes,
                          int my_linearmin_moves, int my_gemchanges_pushes, int my_gemchanges_moves,
                          int my_movemin_pushes, int my_movemin_moves, int best_pushmin_pushes,
                          int best_pushmin_moves, int best_linearmin_pushes, int best_linearmin_moves,
                          int best_gemchanges_pushes, int best_gemchanges_moves, int best_movemin_pushes,
                          int best_movemin_moves, int nr_solutions, int better_pushes, int equal_pushes,
                          int better_linear_pushes, int equal_linear_pushes, int better_gem_changes,
                          int equal_gem_changes, int better_moves, int equal_moves,
                          QWidget * parent = 0, char const * name = 0);
};


#endif
