/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "difficulty.h"

#include <algorithm>

#include <klocale.h>




QStringList Difficulty::s_texts;
bool Difficulty::s_is_initialized = false;


QString Difficulty::text(int difficulty)
{
    if (!s_is_initialized)
    {
        s_is_initialized = true;
        s_texts.append(i18n("unknown")); // -1
        s_texts.append(i18n("Trivial")); // 0
        s_texts.append(i18n("Very easy")); // 1
        s_texts.append(i18n("Easy")); // 2
        s_texts.append(i18n("Easy to medium")); // 3
        s_texts.append(i18n("Medium")); // 4
        s_texts.append(i18n("Medium to hard")); // 5
        s_texts.append(i18n("Hard")); // 6
        s_texts.append(i18n("Very hard")); // 7
        s_texts.append(i18n("Very hard to nearly impossible")); // 8
        s_texts.append(i18n("Nearly impossible")); // 9
        s_texts.append(i18n("Impossible")); // 10
    }

    return s_texts[std::max(std::min(10, difficulty), -1) + 1];
}
