/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef EASYSOK_DIFFICULTY_INC_GUARD_H
#define EASYSOK_DIFFICULTY_INC_GUARD_H


#include <qstring.h>
#include <qstringlist.h>




/**
 * This class is used to convert difficulty values to text.
 *
 * @author Ralf Schmelter (ralf.schmelter@t-online.de).
 * @version 0.2
 */

class Difficulty
{
public:

    /**
     * Returns a human readable representation of the given difficulty.
     *
     * @param difficulty The difficulty.
     */

    static QString text(int difficulty);


private:

    /**
     * Here we store the texts.
     */

    static QStringList s_texts;


    /**
     * If true, we have created the texts.
     */

    static bool s_is_initialized;
};


#endif
