/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef EASYSOK_IMPORT_USER_DIALOG_INC_GUARD_H
#define EASYSOK_IMPORT_USER_DIALOG_INC_GUARD_H


#include "advanced_options_dialog.h"


class KLineEdit;
class KRestrictedLine;




/**
 * Lets you import a user.
 *
 * @author Ralf Schmelter (ralf.schmelter@t-online.de).
 * @version 0.2
 */

class ImportUserDialog : public AdvancedOptionsDialog
{
    Q_OBJECT

public:

    /**
     * Creates the dialog.
     *
     * @param parent The parent of the dialog.
     * @param name The internal name of the dialog.
     */

    ImportUserDialog(QWidget * parent = 0, char const * name = 0);


protected:

    /**
     * Ok was clicked.
     */

    virtual void slotOk();


private:

    /**
     * The highscore server.
     */

    KLineEdit * m_server;


    /**
     * The proxy.
     */

    KLineEdit * m_proxy;


    /**
     * The proxy port.
     */

    KRestrictedLine * m_proxy_port;


    /**
     * The nickname.
     */

    KRestrictedLine * m_nickname;


    /**
     * The passwd.
     */

    KLineEdit * m_passwd;
};


#endif
