/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "ksokoban_bookmark_dialog.h"

#include <cassert>

#include <qcombobox.h>
#include <qlabel.h>
#include <qvbox.h>

#include <klocale.h>

#include "bookmarks.h"




KSokobanBookmarkDialog::KSokobanBookmarkDialog(QWidget * parent, char const * name) :
    KDialogBase(parent, name, true, i18n("Select KSokoban bookmark"), Ok | Cancel, Ok, true)
{
    QVBox * page = makeVBoxMainWidget();

    new QLabel(i18n("Select the number of the KSokoban bookmark"), page);

    m_bookmarks = new QComboBox(false, page);

    for (int i = 1; i <= 10; ++i)
    {
        if (Bookmarks::hasKSokobanBookmark(i))
        {
            int level;
            QString name = Bookmarks::kSokobanBookmarkCollectionAndLevel(i, level);

            if (!name.isEmpty())
            {
                QString bookmark_name = i18n("#%1 Level %2 of %3");
                bookmark_name = bookmark_name.arg(i).arg(level + 1).arg(name);
                m_bookmarks->insertItem(bookmark_name);
                m_indices.push_back(i);
            }
        }
    }

    assert(m_bookmarks->count() > 0);
}


int KSokobanBookmarkDialog::bookmark() const
{
    return m_indices[m_bookmarks->currentItem()];
}
