/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef EASYSOK_KSOKOBAN_BOOKNMARK_DIALOG_INC_GUARD_H
#define EASYSOK_KSOKOBAN_BOOKNMARK_DIALOG_INC_GUARD_H


#include <vector>

#include <kdialogbase.h>

class QComboBox;




/**
 * Lets the user select a KSokoban bookmark.
 *
 * @author Ralf Schmelter (ralf.schmelter@t-online.de).
 * @version 0.2
 */

class KSokobanBookmarkDialog : public KDialogBase
{
    Q_OBJECT

public:

    /**
     * Creates the object.
     *
     * @param parent The parent widget.
     * @param name The internal name.
     */

    KSokobanBookmarkDialog(QWidget * parent = 0, char const * name = 0);


    /**
     * Returns the index of the selected KSokoban bookmark.
     */

    int bookmark() const;


private:

    /**
     * The combo box with the bookmark indices.
     */

    QComboBox * m_bookmarks;


    /**
     * Here we store the indicies of the bookmarks.
     */

    std::vector<int> m_indices;
};


#endif
