/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "level_selection_dialog.h"

#include <qvbox.h>

#include <knuminput.h>
#include <klocale.h>



LevelSelectionDialog::LevelSelectionDialog(int act_level, int max_level, QWidget * parent, char const * name) :
    KDialogBase(parent, name, true, i18n("Select level"), Ok | Cancel, Ok, true)
{
    m_input = new KIntNumInput(act_level + 1, makeVBoxMainWidget());
    m_input->setRange(1, max_level + 1, true);
    m_input->setLabel(i18n("Select a level:") + " ", AlignTop | AlignHCenter);
    m_input->setFocus();
}


int LevelSelectionDialog::levelSelected() const
{
    return m_input->value() - 1;
}
