/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "map_size_dialog.h"

#include <cassert>

#include <qvbox.h>

#include <klocale.h>
#include <knuminput.h>




MapSizeDialog::MapSizeDialog(int width, int height, QWidget * parent, const char * name) :
    KDialogBase(parent, name, true, i18n("Change Size"), Ok | Cancel, Ok, true)
{
    assert(width > 0);
    assert(height > 0);

    QVBox * page =  makeVBoxMainWidget();

    m_width = new KIntNumInput(width, page);
    m_width->setRange(3, 127);
    m_width->setLabel(i18n("The width of the map"));

    m_height = new KIntNumInput(height, page);
    m_height->setRange(3, 127);
    m_height->setLabel(i18n("The height of the map"));
}


int MapSizeDialog::width() const
{
    return m_width->value();
}


int MapSizeDialog::height() const
{
    return m_height->value();
}
