/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef EASYSOK_MAP_SIZE_DIALOG_INC_GUARD_H
#define EASYSOK_MAP_SIZE_DIALOG_INC_GUARD_H


#include <kdialogbase.h>


class KIntNumInput;




/**
 * Lets the user select the size of a map.
 *
 * @author Ralf Schmelter (ralf.schmelter@t-online.de).
 * @version 0.2
 */

class MapSizeDialog : public KDialogBase
{
    Q_OBJECT

public:

    /**
     * Contructs the object.
     *
     * @param width The original width of the map.
     * @param height The original height of the map.
     * @param parent The parent widget.
     * @param name The internal name.
     */

    MapSizeDialog(int width, int height, QWidget * parent = 0, const char * name = 0);


    /**
     * Returns the new width.
     */

    int width() const;


    /**
     * Returns the new height.
     */

    int height() const;


private:

    /**
     * The width of the map.
     */

    KIntNumInput * m_width;


    /**
     * The height of the map.
     */

    KIntNumInput * m_height;
};


#endif
