/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "progress_dialog.h"

#include <cassert>

#include <qlabel.h>
#include <qvbox.h>

#include <kprogress.h>




ProgressDialog::ProgressDialog(QString const & caption, QString const & text, int steps,
                               QWidget * parent, char const * name) :
    KDialogBase(parent, name, true, caption, Cancel, Cancel, true)
{
    QVBox * page = makeVBoxMainWidget();

    new QLabel(text, page);

    m_progress = new KProgress(Horizontal, page);
    m_progress->setRange(0, steps);
}


void ProgressDialog::advance()
{
    m_progress->setValue(m_progress->value() + 1);
}
