/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "query_dialog.h"

#include <qsocket.h>
#include <qstringlist.h>
#include <qtextstream.h>
#include <qtimer.h>

#include <klocale.h>
#include <kmessagebox.h>
#include <kurl.h>




QueryDialog::QueryDialog(QString const & caption, QString const & text, KURL const & server,
                         QString const & proxy, int proxy_port, QString const & script,
                         QString const & query, QWidget * parent) :
    QMessageBox(caption, text, Information, Cancel | Default, NoButton, NoButton, parent, 0, true),
    m_server_connector(new ServerConnector(server, proxy, proxy_port, script, query, this))
{
    connect(m_server_connector, SIGNAL(finished()), this, SLOT(accept()));
}


ServerConnector::Result QueryDialog::result() const
{
    return m_server_connector->result();

}


QString QueryDialog::resultText() const
{
    return m_server_connector->resultText();
}


QString QueryDialog::data() const
{
    return m_server_connector->data();
}


int QueryDialog::version() const
{
    return m_server_connector->version();
}
