/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef EASYSOK_SELECT_DATE_DIALOG_INC_GUARD_H
#define EASYSOK_SELECT_DATE_DIALOG_INC_GUARD_H


#include <kdialogbase.h>

#include <qdatetime.h>


class KDatePicker;




/**
 * Lets the user select a date.
 *
 * @author Ralf Schmelter (ralf.schmelter@t-online.de).
 * @version 0.2
 */

class SelectDateDialog : public KDialogBase
{
    Q_OBJECT

public:

    /**
     * Creates the dialog.
     *
     * @param parent The parent of the dialog.
     * @param name The internal name of the dialog.
     */

    SelectDateDialog(QWidget * parent = 0, char const * name = 0);


    /**
     * Stores the selected date.
     */

    virtual ~SelectDateDialog();


    /**
     * Returns the selected date.
     */

    QDate date() const;


public slots:

    /**
     * Sets the current date.
     */

    void setCurrentDate();


private:

    /**
     * The date.
     */

    KDatePicker * m_date;
};


#endif
