/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "xsb_mime_source.h"

#include <qbuffer.h>
#include <qdragobject.h>
#include <qdatastream.h>




XsbMimeSource::XsbMimeSource(Level const & level) :
    m_level(level)
{
}


const char * XsbMimeSource::format(int number) const
{
    const char * format = 0;

    switch (number)
    {
    case 0:
        format = "application/easysok";
        break;

    case 1:
        format = "text/plain";
        break;
    }

    return format;
}


QByteArray XsbMimeSource::encodedData(const char * format) const
{

    if (format == QString("application/easysok"))
    {
        QBuffer buffer;
        buffer.open(IO_WriteOnly);
        QDataStream stream(&buffer);
        m_level.writeToStream(stream);

        return buffer.buffer();
    }
    else if (format == QString("text/plain"))
    {
        QString text = m_level.toText(QStringList(), QStringList(), "", "", "", -1);
        QTextDrag text_drag(text, 0);

        return text_drag.encodedData(format);
    }

    return QByteArray();
}
