/*
 *   EasySok --- A(nother) sokoban game for KDE.
 *
 *   Copyright (C) 2001 by Ralf Schmelter (ralf.schmelter@t-online.de).
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef EASYSOK_XSB_MIME_SOURCE_INC_GUARD_H
#define EASYSOK_XSB_MIME_SOURCE_INC_GUARD_H


#include <qmime.h>

#include "level.h"




/**
 * The QMimeSource for the levels.
 *
 * @author Ralf Schmelter (ralf.schmelter@t-online.de).
 * @version 0.2
 */

class XsbMimeSource : public QMimeSource
{

public:

    /**
     * Constructs the object.
     *
     * @param level The level to use.
     */

    XsbMimeSource(Level const & level);


    /**
     * Returns the formates supported.
     */

    virtual const char * format(int number) const;


    /**
     * Returns the encoded data.
     */

    virtual QByteArray encodedData(const char * format) const;


private:

    /**
     * The level.
     */

    Level m_level;
};


#endif
