#include "colors.inc"
#include "stones.inc"
#include "woods.inc"


global_settings { assumed_gamma 2.2 }

camera {
  orthographic
  location <0, 0, -60>
  direction <0, 0, 2.85>
  right    x
  look_at  <0, 0, 0>
}

background { color rgb<1,0,1> }

light_source { <8, 16, -80> color White }

//#declare T_Wall = texture { pigment {color <0.7, 0.5, 0.4> } }
#declare T_Wall = texture { pigment {color <1, 1, 1> } }
#declare T_Goal = texture { pigment {color <1.5, 1.5, 0> } }
#declare T_Gem1 = texture { pigment {color <0.5, 0.5, 1> } }
#declare T_Gem2 = texture { pigment {color <0, 0, 1.2> } finish { specular 0.1 reflection 0.02 } }
#declare T_Keeper1 = texture { T_Wood13 finish { ambient 0.3 } }
#declare T_Keeper2 = texture { pigment { color rgb <1.2, 1.2, 0> } finish { ambient 0.3 } }
#declare T_Keeper3 = texture { T_Wood21 translate <1.0, 1.0, 0.0> finish { ambient 0.8 } }
#declare T_Keeper4 = texture { pigment { color rgb <0.0, 0.0, 0> } finish { specular 0.8 } }
#declare T_Arrow = texture { pigment { color rgb <0.4, 0.4, 0.8> } finish { specular 0.5 reflection 0.05 } }
 
#declare WallHeight = 0.2;

#declare NBorder = plane {<0, -1, 1>, 0 translate <0, 0.50, 0> }
#declare SBorder = plane {<0, 1, 1>, 0 translate <0, -0.50, 0> }
#declare WBorder = plane {<1, 0, 1>, 0 translate <-0.50, 0, 0> }
#declare EBorder = plane {<-1, 0, 1>, 0 translate <0.50, 0, 0> }

#declare SWBorder = difference {
	box { <-1, -1, 0>, <1, 1, -1> }
	plane {<-1, 0, -1>, 0 translate <-0.5, 0.0, 0> }
	plane {<0, -1, -1>, 0 translate <0.0, -0.5, 0> } }
#declare SEBorder = difference {
	box { <-1, -1, 0>, <1, 1, -1> }
	plane {<1, 0, -1>, 0 translate <0.5, 0.0, 0> }
	plane {<0, -1, -1>, 0 translate <0.0, -0.5, 0> } }
#declare NWBorder = difference {
	box { <-1, -1, 0>, <1, 1, -1> }
	plane {<-1, 0, -1>, 0 translate <-0.5, 0.0, 0> }
	plane {<0, 1, -1>, 0 translate <0.0, 0.5, 0> } }
#declare NEBorder = difference {
	box { <-1, -1, 0>, <1, 1, -1> }
	plane {<1, 0, -1>, 0 translate <0.5, 0.0, 0> }
	plane {<0, 1, -1>, 0 translate <0.0, 0.5, 0> } }
